// MBDoc.h : interface of the CMBDoc class
//


#pragma once
#include<code/l3ds.h>

#include<MoebiusStrip.h>
#include<vcg/CIMd2.h>

class CMBDoc : public CDocument
{
protected: // create from serialization only
	CMBDoc();
	DECLARE_DYNCREATE(CMBDoc)

// Attributes
public:
MoebiusStrip m;
CIMd2 q2mA,q2mB,q2mC;
L3DS  mod3ds;
	
CIMesh RollingSphere;
float RollingSphereRadius;
// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CMBDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};


